/**
 * Check if a local git repository is clean.
 * Ignore files defined in [git-ignore-patterns](git-ignore-patterns),
 * which contains commonly git-ignored files for node project.
 * @param dir (optional). Default to `process.cwd()`
 * @return Object { `isClean`, `untracked`, `unstaged`, `uncommitted` }
 */
export declare function checkGitClean(dir?: string): Promise<{
    isClean: boolean;
    untracked: string[];
    unstaged: string[];
    uncommitted: string[];
}>;
